Test::Lintian::Run(3)

NAME
Test::Lintian::Run -- generic runner for all suites

SYNOPSIS
  use Test::Lintian::Run qw(runner);

  my $runpath = "test working directory";

  runner($runpath);

DESCRIPTION
Generic test runner for all Lintian test suites

FUNCTIONS

logged_runner(RUN_PATH)
    Starts the generic test runner for the test located in RUN_PATH and logs the output.

runner(RUN_PATH)
    This routine provides the basic structure for all runners and runs the test located in RUN_PATH.

check_literal
check_hints
check_result(DESC, EXPECTED, ACTUAL)
    This routine checks if the EXPECTED hints match the calibrated ACTUAL for the test described by DESC. For some additional checks, also need the ORIGINAL hints before calibration. Returns a list of errors, if there are any.

AUTHOR
Originally written by Felix Lechner <felix.lechner@lease-up.com> for Lintian.

SEE ALSO
lintian(1)